petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMPlexCreate

Creates a DMPlex object, which encapsulates an unstructured mesh, or CW complex, which can be expressed using a Hasse Diagram.

### Synopsis

    #include "petscdmplex.h"
    #include "petscdmplex.h"
    PetscErrorCode DMPlexCreate(MPI_Comm comm, DM *mesh)

Collective on MPI_Comm

### Input Parameter

comm -The communicator for the DMPlex object

### Output Parameter

mesh -The DMPlex object

### Keywords

DMPlex, create

### Level

beginner

### Location

src/dm/impls/plex/plexcreate.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages